## org.eclipse.emf.ecore.resource
Interface Resource.Diagnostic

All Known Implementing Classes:
  ClassNotFoundException, DanglingHREFException, FeatureNotFoundException, IllegalValueException, PackageNotFoundException, UnresolvedReferenceException, XMIException

Enclosing interface:
  Resource

    public static interface Resource.Diagnostic

A noteworthy issue in a document.

Method Summary
`int` `getColumn()` Returns the column location of the issue within the source.
`int` `getLine()` Returns the line location of the issue within the source.
`java.lang.String` `getLocation()` Returns the source location of the issue.
`java.lang.String` `getMessage()` Returns a translated message describing the issue.

Method Detail

### getMessage

    java.lang.String getMessage()

  Returns a translated message describing the issue.

  Returns:
    a translated message.

### getLocation

    java.lang.String getLocation()

  Returns the source location of the issue. This will typically be just the `URI` of the resource containing this diagnostic.

  Returns:
    the location of the issue, or `null` if it's unknown.

### getLine

    int getLine()

  Returns the line location of the issue within the source. Line `1` is the first line.

  Returns:
    the line location of the issue.

### getColumn

    int getColumn()

  Returns the column location of the issue within the source. Column `1` is the first column.

  Returns:
    the column location of the issue.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.